Deals
IT EUR

Shop in

Store prices are shown for one country at a time, in its own currency.

Compare specs

Ad · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.Ad · Store prices, cheapest first. We may earn a commission.

Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black

Zyxel · Network Switch

Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black price in Italy

Model GS1900-24HPMPN GS190024HPV2-GB0101FMPN GS1900-24HPMPN GS1900-24HP-EU0101FEAN 4718937609512EAN 132018551370

  • ColourBlack
  • Switch typeManaged
  • Basic switching RJ-45 Ethernet ports quantity24
  • Copper ethernet cabling technology1000BASE-T, 100BASE-T, 10BASE-T

Lowest price incl. delivery

354,40 €

at EsseeffeFree deliveryIn stock

  • 1 store
  • 1 in stock
  • 1 with free delivery
  • Checked 23 Oct 2026, 17:42 UTC

Ad · prices and stock as last reported by the store; the store's checkout is what counts.

Full specifications and side-by-side comparison

Prices in Italy

1 store · prices in EUR · updated 23 Oct 2026, 17:42 UTC

Lowest price354,40 €at Esseeffe · free shippingGo to Esseeffe (opens in a new tab)
Price range across 1 offer

Every store asks the same price.

  • 1 of 1 stores in stock
  • 1 with free shipping
  • Checked 23 Oct 2026, 17:42 UTC

  1. EsseeffeLowest priceZyxel gs190024hpv2-eu0101f switch managed 24 porte gigabit+2 sfp gigabit ipv6 vlan design senza ventole rack In stockFree shipping
    354,40 €incl. free shipping
    Go to store : Esseeffe (opens in a new tab)

Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 23 Oct 2026, 17:42 UTC, and can change at any time. Taxes are included only where the store includes them.

Price history in Italy

Price history is being collected. After 14 days of prices we will show whether today's price is good.

Best price · Esseeffe354,40 €
Go to store

Product details

Identification

Brand
Zyxel
Product
GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black
Full name
Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black
Manufacturer part number
GS190024HPV2-GB0101F, GS1900-24HP, GS1900-24HP-EU0101F, GS1900-24HP-GB0101F, GS190024HPV2-EU0101F
EAN / UPC
4718937609512, 132018551370, 734911161207, 760559121037, 760559127008, 7605591210376, 4260134931588, 4718937572038

20 specifications from the manufacturer's data sheet

Management features

Switch typeManaged
Quality of Service (QoS) supportYes
MIB supportRFC 1213 MIB II, RFC 2819, RFC 1215, RFC 1493

Ports & interfaces

Basic switching RJ-45 Ethernet ports quantity24
Basic switching RJ-45 Ethernet ports typeGigabit Ethernet (10/100/1000)
Gigabit Ethernet (copper) ports quantity24
SFP module slots quantity2

Network

Networking standardsIEEE 802.1p, IEEE 802.3, IEEE 802.3ab, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x
Copper ethernet cabling technology1000BASE-T, 100BASE-T, 10BASE-T
Broadcast storm controlYes
Flow control supportYes
Rate limitingYes

Security

MAC address filteringYes
SSH/SSL supportYes
Security algorithms802.1x RADIUS

Protocols

Management protocolsSNMP v1,v2,v3, RMON (1,2,3,9)

Design

Product colourBlack
SafetyLVD EN60950-1, BSMI CNS14336-1

Power over Ethernet (PoE)

Power over Ethernet (PoE)Yes

Certificates

CertificationCE, FCC, C-Tick, Class A (GS1900-8HP/24/24HP/48/48HP) CE, FCC, C-Tick, Class B (GS1900-8/16/24E) BSMI CNS13438

What people say

Reviews & ratings

Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black

No reviews yet

Be the first to tell others how Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black works for you.

Write the first review
  • Every rating countsLow ratings are never hidden, removed or pushed down.
  • Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
  • Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.

Your review

Share your experience

How does Zyxel GS1900-24HP network switch Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black work for you? A few honest sentences help others choose — it takes a minute.

Your rating

No account or e-mail. Only your review and the name you choose are kept.

Reviews are written by visitors; we do not check purchases. We remove spam, advertising and abuse — never a review for its rating.

More network switches deals in Italy

All network switches deals